> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The organization IU commercial document with the catalog-v4 activity schedule



## OpenAPI

````yaml /openapi/v3.yaml get /api/v2/billing/iu-rate-card/v4
openapi: 3.1.0
info:
  title: Semicola Exchange platform API
  version: 3.0.0-preview
  description: >-
    Platform endpoints of Semicola: sign-in, signup and OAuth for MCP clients,
    accounts, members and keys, billing, notifications, the Semi assistant (chat
    stream, confirmations, conversations), the MCP App widget host and realtime
    feeds. Typed agent tools live on the MCP server at /mcp/v3.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Auth
  - name: Signup
  - name: OAuth
  - name: Accounts
  - name: Members
  - name: API Keys
  - name: Buyer Agent Principals
  - name: Asks
  - name: Connected Apps
  - name: Onboarding
  - name: Billing
  - name: AI Usage
  - name: Notifications
  - name: Assistant
  - name: MCP Apps
  - name: Realtime
  - name: Demo
paths:
  /api/v2/billing/iu-rate-card/v4:
    get:
      tags:
        - Billing
      summary: >-
        The organization IU commercial document with the catalog-v4 activity
        schedule
      operationId: getBillingIuRateCardV4
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          billingCustomerId:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 2147483647
                          commercialStatus:
                            type: string
                            enum:
                              - FREE
                              - PAID
                          offer:
                            anyOf:
                              - type: object
                                properties:
                                  offerVersion:
                                    type: string
                                    pattern: ^v1:[0-9a-f]{64}$
                                  rateCard:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      publicVersion:
                                        type: string
                                      effectiveDate:
                                        type: string
                                        format: date-time
                                        pattern: >-
                                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                      endDate:
                                        anyOf:
                                          - type: string
                                            format: date-time
                                            pattern: >-
                                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                          - type: 'null'
                                      publishedAt:
                                        type: string
                                        format: date-time
                                        pattern: >-
                                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                    required:
                                      - name
                                      - publicVersion
                                      - effectiveDate
                                      - endDate
                                      - publishedAt
                                    additionalProperties: false
                                  serviceStart:
                                    type: string
                                    const: ON_ACCEPTANCE
                                  initialTermMonths:
                                    type: integer
                                    minimum: 1
                                    maximum: 120
                                  plans:
                                    minItems: 1
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        planCode:
                                          type: string
                                        displayName:
                                          type: string
                                        displayOrder:
                                          type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                        includedIus:
                                          type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                        currency:
                                          type: string
                                          pattern: ^[A-Z]{3}$
                                        billingPeriodMonths:
                                          type: number
                                          const: 1
                                        commitmentBillingTiming:
                                          type: string
                                          const: PERIOD_START
                                        usageBillingTiming:
                                          type: string
                                          const: PERIOD_END
                                        resetInterval:
                                          type: string
                                          const: MONTH
                                        rolloverPolicy:
                                          anyOf:
                                            - type: object
                                              properties:
                                                capBasisPoints:
                                                  type: integer
                                                  minimum: 1
                                                  maximum: 5000
                                                expiresAfterBillingPeriods:
                                                  type: number
                                                  const: 1
                                              required:
                                                - capBasisPoints
                                                - expiresAfterBillingPeriods
                                              additionalProperties: false
                                            - type: 'null'
                                        paymentTermsDays:
                                          type: integer
                                          exclusiveMinimum: 0
                                          maximum: 9007199254740991
                                        renewalPosture:
                                          type: string
                                          enum:
                                            - STANDARD_ROLLING
                                            - PINNED
                                        pricing:
                                          type: object
                                          properties:
                                            listCommitmentMinor:
                                              type: integer
                                              minimum: 0
                                              maximum: 9007199254740991
                                            listOverageUnitAmountMinor:
                                              type: integer
                                              minimum: 0
                                              maximum: 9007199254740991
                                            discountBasisPoints:
                                              type: integer
                                              minimum: 0
                                              maximum: 9999
                                            netCommitmentMinor:
                                              type: integer
                                              minimum: 0
                                              maximum: 9007199254740991
                                            netOverageUnitAmountMinor:
                                              type: integer
                                              minimum: 0
                                              maximum: 9007199254740991
                                          required:
                                            - listCommitmentMinor
                                            - listOverageUnitAmountMinor
                                            - discountBasisPoints
                                            - netCommitmentMinor
                                            - netOverageUnitAmountMinor
                                          additionalProperties: false
                                        activitySchedule:
                                          minItems: 3
                                          maxItems: 3
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              activityCode:
                                                type: string
                                                enum:
                                                  - COMPLETED_MERCHANDISING_CYCLE
                                                  - >-
                                                    SOCIAL_ACCOUNT_INTELLIGENCE_BILLING_PERIOD
                                                  - PLATFORM_MEDIA_BUY_BILLING_PERIOD
                                              displayName:
                                                type: string
                                                minLength: 1
                                                maxLength: 120
                                              unitCount:
                                                type: integer
                                                exclusiveMinimum: 0
                                                maximum: 9007199254740991
                                              unit:
                                                type: string
                                                enum:
                                                  - RESPONSE
                                                  - ACCOUNT_BILLING_PERIOD
                                                  - MEDIA_BUY_BILLING_PERIOD
                                              catalogStatus:
                                                type: string
                                                enum:
                                                  - PUBLISHED
                                                  - CALIBRATING
                                                  - MEASURING
                                              standardIuAmountMilli:
                                                anyOf:
                                                  - type: integer
                                                    exclusiveMinimum: 0
                                                    maximum: 9007199254740991
                                                  - type: 'null'
                                              pricing:
                                                type: string
                                                enum:
                                                  - STANDARD
                                                  - CUSTOM
                                                  - WAIVED
                                                  - UNPRICED
                                              customIuAmountMilli:
                                                anyOf:
                                                  - type: integer
                                                    exclusiveMinimum: 0
                                                    maximum: 9007199254740991
                                                  - type: 'null'
                                              effectiveIuAmountMilli:
                                                anyOf:
                                                  - type: integer
                                                    exclusiveMinimum: 0
                                                    maximum: 9007199254740991
                                                  - type: 'null'
                                              billable:
                                                type: boolean
                                              includedBackfillMonths:
                                                anyOf:
                                                  - type: integer
                                                    minimum: 0
                                                    maximum: 120
                                                  - type: 'null'
                                            required:
                                              - activityCode
                                              - displayName
                                              - unitCount
                                              - unit
                                              - catalogStatus
                                              - standardIuAmountMilli
                                              - pricing
                                              - customIuAmountMilli
                                              - effectiveIuAmountMilli
                                              - billable
                                              - includedBackfillMonths
                                            additionalProperties: false
                                      required:
                                        - id
                                        - planCode
                                        - displayName
                                        - displayOrder
                                        - includedIus
                                        - currency
                                        - billingPeriodMonths
                                        - commitmentBillingTiming
                                        - usageBillingTiming
                                        - resetInterval
                                        - rolloverPolicy
                                        - paymentTermsDays
                                        - renewalPosture
                                        - pricing
                                        - activitySchedule
                                      additionalProperties: false
                                  activityTerms:
                                    type: array
                                    items:
                                      not: {}
                                  activitySchedule:
                                    minItems: 3
                                    maxItems: 3
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        activityCode:
                                          type: string
                                          enum:
                                            - COMPLETED_MERCHANDISING_CYCLE
                                            - >-
                                              SOCIAL_ACCOUNT_INTELLIGENCE_BILLING_PERIOD
                                            - PLATFORM_MEDIA_BUY_BILLING_PERIOD
                                        displayName:
                                          type: string
                                          minLength: 1
                                          maxLength: 120
                                        unitCount:
                                          type: integer
                                          exclusiveMinimum: 0
                                          maximum: 9007199254740991
                                        unit:
                                          type: string
                                          enum:
                                            - RESPONSE
                                            - ACCOUNT_BILLING_PERIOD
                                            - MEDIA_BUY_BILLING_PERIOD
                                        catalogStatus:
                                          type: string
                                          enum:
                                            - PUBLISHED
                                            - CALIBRATING
                                            - MEASURING
                                        standardIuAmountMilli:
                                          anyOf:
                                            - type: integer
                                              exclusiveMinimum: 0
                                              maximum: 9007199254740991
                                            - type: 'null'
                                        pricing:
                                          type: string
                                          enum:
                                            - STANDARD
                                            - CUSTOM
                                            - WAIVED
                                            - UNPRICED
                                        customIuAmountMilli:
                                          anyOf:
                                            - type: integer
                                              exclusiveMinimum: 0
                                              maximum: 9007199254740991
                                            - type: 'null'
                                        effectiveIuAmountMilli:
                                          anyOf:
                                            - type: integer
                                              exclusiveMinimum: 0
                                              maximum: 9007199254740991
                                            - type: 'null'
                                        billable:
                                          type: boolean
                                        includedBackfillMonths:
                                          anyOf:
                                            - type: integer
                                              minimum: 0
                                              maximum: 120
                                            - type: 'null'
                                      required:
                                        - activityCode
                                        - displayName
                                        - unitCount
                                        - unit
                                        - catalogStatus
                                        - standardIuAmountMilli
                                        - pricing
                                        - customIuAmountMilli
                                        - effectiveIuAmountMilli
                                        - billable
                                        - includedBackfillMonths
                                      additionalProperties: false
                                required:
                                  - offerVersion
                                  - rateCard
                                  - serviceStart
                                  - initialTermMonths
                                  - plans
                                  - activityTerms
                                  - activitySchedule
                                additionalProperties: false
                              - type: 'null'
                          currentBinding:
                            anyOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  rateCardPublicVersion:
                                    type: string
                                  planCode:
                                    type: string
                                  planName:
                                    type: string
                                  renewalPosture:
                                    type: string
                                    enum:
                                      - STANDARD_ROLLING
                                      - PINNED
                                  termStart:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                  termEnd:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        pattern: >-
                                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                      - type: 'null'
                                  listCommitmentMinor:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  listOverageUnitAmountMinor:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  includedIus:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  discountBasisPoints:
                                    type: integer
                                    minimum: 0
                                    maximum: 9999
                                  netCommitmentMinor:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  netOverageUnitAmountMinor:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  currency:
                                    type: string
                                    pattern: ^[A-Z]{3}$
                                  billingPeriodMonths:
                                    type: number
                                    const: 1
                                  rolloverPolicy:
                                    anyOf:
                                      - type: object
                                        properties:
                                          capBasisPoints:
                                            type: integer
                                            minimum: 1
                                            maximum: 5000
                                          expiresAfterBillingPeriods:
                                            type: number
                                            const: 1
                                        required:
                                          - capBasisPoints
                                          - expiresAfterBillingPeriods
                                        additionalProperties: false
                                      - type: 'null'
                                  paymentTermsDays:
                                    type: integer
                                    exclusiveMinimum: 0
                                    maximum: 9007199254740991
                                  acceptedAt:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                  acceptanceSource:
                                    type: string
                                    enum:
                                      - SIGNUP
                                      - PLAN_BILLING
                                      - MCP_APP
                                      - ADMIN_ORDER_FORM
                                      - AUTO_RENEWAL
                                  activityTerms:
                                    type: array
                                    items:
                                      not: {}
                                  activitySchedule:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        activityCode:
                                          type: string
                                          enum:
                                            - COMPLETED_MERCHANDISING_CYCLE
                                            - >-
                                              SOCIAL_ACCOUNT_INTELLIGENCE_BILLING_PERIOD
                                            - PLATFORM_MEDIA_BUY_BILLING_PERIOD
                                        displayName:
                                          type: string
                                          minLength: 1
                                          maxLength: 120
                                        unitCount:
                                          type: integer
                                          exclusiveMinimum: 0
                                          maximum: 9007199254740991
                                        unit:
                                          type: string
                                          enum:
                                            - RESPONSE
                                            - ACCOUNT_BILLING_PERIOD
                                            - MEDIA_BUY_BILLING_PERIOD
                                        catalogStatus:
                                          type: string
                                          enum:
                                            - PUBLISHED
                                            - CALIBRATING
                                            - MEASURING
                                        standardIuAmountMilli:
                                          anyOf:
                                            - type: integer
                                              exclusiveMinimum: 0
                                              maximum: 9007199254740991
                                            - type: 'null'
                                        pricing:
                                          type: string
                                          enum:
                                            - STANDARD
                                            - CUSTOM
                                            - WAIVED
                                            - UNPRICED
                                        customIuAmountMilli:
                                          anyOf:
                                            - type: integer
                                              exclusiveMinimum: 0
                                              maximum: 9007199254740991
                                            - type: 'null'
                                        effectiveIuAmountMilli:
                                          anyOf:
                                            - type: integer
                                              exclusiveMinimum: 0
                                              maximum: 9007199254740991
                                            - type: 'null'
                                        billable:
                                          type: boolean
                                        includedBackfillMonths:
                                          anyOf:
                                            - type: integer
                                              minimum: 0
                                              maximum: 120
                                            - type: 'null'
                                      required:
                                        - activityCode
                                        - displayName
                                        - unitCount
                                        - unit
                                        - catalogStatus
                                        - standardIuAmountMilli
                                        - pricing
                                        - customIuAmountMilli
                                        - effectiveIuAmountMilli
                                        - billable
                                        - includedBackfillMonths
                                      additionalProperties: false
                                required:
                                  - id
                                  - rateCardPublicVersion
                                  - planCode
                                  - planName
                                  - renewalPosture
                                  - termStart
                                  - termEnd
                                  - listCommitmentMinor
                                  - listOverageUnitAmountMinor
                                  - includedIus
                                  - discountBasisPoints
                                  - netCommitmentMinor
                                  - netOverageUnitAmountMinor
                                  - currency
                                  - billingPeriodMonths
                                  - rolloverPolicy
                                  - paymentTermsDays
                                  - acceptedAt
                                  - acceptanceSource
                                  - activityTerms
                                  - activitySchedule
                                additionalProperties: false
                              - type: 'null'
                          history:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                rateCardPublicVersion:
                                  type: string
                                planCode:
                                  type: string
                                planName:
                                  type: string
                                renewalPosture:
                                  type: string
                                  enum:
                                    - STANDARD_ROLLING
                                    - PINNED
                                termStart:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                termEnd:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      pattern: >-
                                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                    - type: 'null'
                                listCommitmentMinor:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                listOverageUnitAmountMinor:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                includedIus:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                discountBasisPoints:
                                  type: integer
                                  minimum: 0
                                  maximum: 9999
                                netCommitmentMinor:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                netOverageUnitAmountMinor:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                currency:
                                  type: string
                                  pattern: ^[A-Z]{3}$
                                billingPeriodMonths:
                                  type: number
                                  const: 1
                                rolloverPolicy:
                                  anyOf:
                                    - type: object
                                      properties:
                                        capBasisPoints:
                                          type: integer
                                          minimum: 1
                                          maximum: 5000
                                        expiresAfterBillingPeriods:
                                          type: number
                                          const: 1
                                      required:
                                        - capBasisPoints
                                        - expiresAfterBillingPeriods
                                      additionalProperties: false
                                    - type: 'null'
                                paymentTermsDays:
                                  type: integer
                                  exclusiveMinimum: 0
                                  maximum: 9007199254740991
                                acceptedAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                acceptanceSource:
                                  type: string
                                  enum:
                                    - SIGNUP
                                    - PLAN_BILLING
                                    - MCP_APP
                                    - ADMIN_ORDER_FORM
                                    - AUTO_RENEWAL
                                activityTerms:
                                  type: array
                                  items:
                                    not: {}
                                activitySchedule:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      activityCode:
                                        type: string
                                        enum:
                                          - COMPLETED_MERCHANDISING_CYCLE
                                          - >-
                                            SOCIAL_ACCOUNT_INTELLIGENCE_BILLING_PERIOD
                                          - PLATFORM_MEDIA_BUY_BILLING_PERIOD
                                      displayName:
                                        type: string
                                        minLength: 1
                                        maxLength: 120
                                      unitCount:
                                        type: integer
                                        exclusiveMinimum: 0
                                        maximum: 9007199254740991
                                      unit:
                                        type: string
                                        enum:
                                          - RESPONSE
                                          - ACCOUNT_BILLING_PERIOD
                                          - MEDIA_BUY_BILLING_PERIOD
                                      catalogStatus:
                                        type: string
                                        enum:
                                          - PUBLISHED
                                          - CALIBRATING
                                          - MEASURING
                                      standardIuAmountMilli:
                                        anyOf:
                                          - type: integer
                                            exclusiveMinimum: 0
                                            maximum: 9007199254740991
                                          - type: 'null'
                                      pricing:
                                        type: string
                                        enum:
                                          - STANDARD
                                          - CUSTOM
                                          - WAIVED
                                          - UNPRICED
                                      customIuAmountMilli:
                                        anyOf:
                                          - type: integer
                                            exclusiveMinimum: 0
                                            maximum: 9007199254740991
                                          - type: 'null'
                                      effectiveIuAmountMilli:
                                        anyOf:
                                          - type: integer
                                            exclusiveMinimum: 0
                                            maximum: 9007199254740991
                                          - type: 'null'
                                      billable:
                                        type: boolean
                                      includedBackfillMonths:
                                        anyOf:
                                          - type: integer
                                            minimum: 0
                                            maximum: 120
                                          - type: 'null'
                                    required:
                                      - activityCode
                                      - displayName
                                      - unitCount
                                      - unit
                                      - catalogStatus
                                      - standardIuAmountMilli
                                      - pricing
                                      - customIuAmountMilli
                                      - effectiveIuAmountMilli
                                      - billable
                                      - includedBackfillMonths
                                    additionalProperties: false
                              required:
                                - id
                                - rateCardPublicVersion
                                - planCode
                                - planName
                                - renewalPosture
                                - termStart
                                - termEnd
                                - listCommitmentMinor
                                - listOverageUnitAmountMinor
                                - includedIus
                                - discountBasisPoints
                                - netCommitmentMinor
                                - netOverageUnitAmountMinor
                                - currency
                                - billingPeriodMonths
                                - rolloverPolicy
                                - paymentTermsDays
                                - acceptedAt
                                - acceptanceSource
                                - activityTerms
                                - activitySchedule
                              additionalProperties: false
                          setupGrant:
                            anyOf:
                              - type: object
                                properties:
                                  grantedIus:
                                    type: integer
                                    exclusiveMinimum: 0
                                    maximum: 9007199254740991
                                  grantedAt:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                  expiresAt:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                  rolloverEnabled:
                                    type: boolean
                                    const: false
                                  status:
                                    type: string
                                    enum:
                                      - ACTIVE
                                      - EXPIRED
                                  attributionKind:
                                    anyOf:
                                      - type: string
                                        enum:
                                          - PROMOTION
                                          - REFERRAL
                                      - type: 'null'
                                required:
                                  - grantedIus
                                  - grantedAt
                                  - expiresAt
                                  - rolloverEnabled
                                  - status
                                  - attributionKind
                                additionalProperties: false
                              - type: 'null'
                          calibratingActivities:
                            type: array
                            items:
                              not: {}
                          nextAction:
                            type: string
                            enum:
                              - ACCEPT_GOVERNING_AGREEMENT
                              - SELECT_IU_PLAN
                              - NONE
                        required:
                          - billingCustomerId
                          - commercialStatus
                          - offer
                          - currentBinding
                          - history
                          - setupGrant
                          - calibratingActivities
                          - nextAction
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: __Host-sc_session
      description: >-
        The app session: host-only on the api and sent only by the web app.
        Integrations use bearerAuth.

````